Subject: Re: Rsync / SSH / Cygwin .. permission problems..
From: "Vince Hoffman" <[email-masked]>
To: "Lapo Luchini" <[email-masked]>, "Oswell, Michael" <[email-masked]>
Cc: <[email-masked]>, "Mailing List: CygWin" <[email-masked]>
Date: Mon, 2 Jun 2003 11:07:18 +0100

> >Cygwin is installed on both systems and works perfectly.  OpenSSH is
> >installed and running, and the rsync user we created is able to ssh using
> >password-less keys between the 2 systems.  When I run rsync, it correctly
> >pulls the data down that I want.  The problem is that there are NO
> >permissions on the files that are pulled down, so they are basically
> >inaccessable.

I had to set cygwin=nontsec for my rsync service for the cron jobs to work
correctly between 2 win2k servers (both ntfs, I set it up a while back now
though.) Otherwise the files were owned by SYSTEM if i remember rightly, and
needed to be chowned/chmodded before they were any use.
With nontsec they just inherited the directories permissions.
Havent tried over ssh though. I was using rsync in server mode as a service.

> >
> >I have tried with and without the -p option, hoping the files would
inherit
> >parent directory permissions if I didn't use it, but it doesn't appear to
do
> >so. The command as I run it is;
> >
> >rsync -rlztpv --rsh=ssh --delete remote-fs:/path/to/the/files .
> >or
> >rsync -rlztv --rsh=ssh --delete remote-fs:/path/to/the/files .
> >
> >With the "p" option included, there are no permission bits set on the
files
> >whatsover.  Without the "p" option, it sets the files to 0200.
> >
> >Any ideas here?  Both systems have the Domain groups in the groups file,
and
> >have the  rsync user as well as local users in the passwd file.  I would
> >prefer to not have to have ALL domain users in the password file for
cygwin
> >if possible.
> >
> >I have also tried this from a DOS shell instead of a cygwin shell with
the
> >same results..
> >
> >Thanks in advance...
> >
> >
> Are the files on NTFS?
> Can you give some more detail about the CygWin installation?
> Whetherver you use ntsec, release number of cygwin and rsync... (to
> include al this you can attach the output of 'cygcheck -s')
>
> BTW: latest packages are cygwin-1.3.22-1 (which afair defaults to ntsec)
> and rsync-2.5.6-1
>
> --
> Lapo 'Raist' Luchini
> [email-masked] (PGP & X.509 keys available)
> http://www.lapo.it (ICQ UIN: 529796)
>
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/